alter table BN_ACT_DEF add TERMINATE_PROCESS_ bit;
update BN_ACT_DEF set TERMINATE_PROCESS_ = b'0';
update BN_ACT_DEF set TERMINATE_PROCESS_ = b'1' where not exists
  (select INCOMING_TR.ACTIVITY_ID_ from INCOMING_TR where INCOMING_TR.ACTIVITY_ID_ = BN_ACT_DEF.DBID_);

create table BN_EVENT_PROC_DEF_ (
  DBID_ bigint not null auto_increment,
  NAME_ varchar(255),
  LABEL_ varchar(255),
  DESCRIPTION_ varchar(255),
  VERSION_ varchar(255),
  PROC_EVNT_SUB_PROC_ID bigint,
  INDEX_ integer,
  primary key (DBID_)
);

alter table BN_PROC_DEF modify DESCRIPTION_ longtext;
alter table BN_PROC_DEF add TYPE_ varchar(255);
update BN_PROC_DEF set TYPE_ = 'PROCESS';

alter table BN_IEI_ add IEI_ESPRI_UUID_ varchar(255);

alter table BN_DATAF_DEF add TRANSIENT_ bit;
update BN_DATAF_DEF set TRANSIENT_ = b'0';

create index IDX_EVNT_SUB_PROC_DBID_ on BN_EVENT_PROC_DEF_ (PROC_EVNT_SUB_PROC_ID);
alter table BN_EVENT_PROC_DEF_ add index FK_PROC_EVENT_SUB_PROC (PROC_EVNT_SUB_PROC_ID),
  add constraint FK_PROC_EVENT_SUB_PROC foreign key (PROC_EVNT_SUB_PROC_ID) references BN_PROC_DEF (DBID_);

create index IDX_IEI_ESPRI_UUID on BN_IEI_ (IEI_ESPRI_UUID_);
